<?php

/**

* @version		1.1

* @package		DJ Classifieds

* @subpackage	DJ Classifieds Component

* @copyright	Copyright (C) 2010 Blue Constant Media LTD, All rights reserved.

* @license		http://www.gnu.org/licenses GNU/GPL

* @autor url    http://design-joomla.eu

* @autor email  contact@design-joomla.eu

* @Developer    Lukasz Ciastek - lukasz.ciastek@design-joomla.eu

* 

* 

* DJ Classifieds is free software: you can redistribute it and/or modify

* it under the terms of the GNU General Public License as published by

* the Free Software Foundation, either version 3 of the License, or

* (at your option) any later version.

*

* DJ Classifieds is distributed in the hope that it will be useful,

* but WITHOUT ANY WARRANTY; without even the implied warranty of

* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the

* GNU General Public License for more details.

*

* You should have received a copy of the GNU General Public License

* along with DJ Classifieds. If not, see <http://www.gnu.org/licenses/>.

* 

*/



defined ('_JEXEC') or die('Restricted access');



jimport('joomla.application.component.view');





class DJclassifiedsViewUseritems extends JView



{



	function display($tpl = null)



	{

		global $mainframe;

		jimport('joomla.html.pagination');	



		$model =& $this->getModel();

		$items=$model->getItems();

		$count_items = $model->getCountItems();

		

		$limit	= JRequest::getVar('limit',10, '', 'int');

		$limitstart	= JRequest::getVar('limitstart', 0, '', 'int');

		$pagination = new JPagination($count_items, $limitstart, $limit);

		

		$this->assignRef('items',$items);

		$this->assignRef('pagination',$pagination);



        parent::display($tpl);

	}



}









